
#ifndef __CM_STDIO_H
#define __CM_STDIO_H

#include <limits.h>

#define NULL (void *)(0)
#define EOF (-1)

typedef struct {
	signed char	fd;
} FILE;

FILE __cm_stdout = {2}, __cm_stderr = {3};
FILE *stdout = &__cm_stdout, *stderr = &__cm_stderr;

FILE *fopen(char *, char *);
int fclose(FILE *);
size_t fread(void *, size_t, size_t, FILE *);
size_t fwrite(void *, size_t, size_t, FILE *);
int fputs(char *, FILE *);
int fputc(int, FILE *);
int fprintf(FILE *, const char *, ...);
char *fgets(char *, int, FILE *);
int fgetc(FILE *);
int fscanf(FILE *, const char *, ...);
int putchar(int);
void puts(char *);
int printf(const char *, ...);
int getchar(void);
char* gets(char *);
int scanf(const char *, ...);
int sprintf(char *, const char *, ...);
int sscanf(char *, const char *, ...);

#endif

